#
# spec file for package gnome-video-arcade
#
# Copyright (c) 2011 Guido Berhoerster <gber@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:           gnome-video-arcade
Version:        0.7.1
Release:        3.1
License:        GPL-3.0+
Summary:        MAME Frontend for the GNOME Desktop
Url:            http://mbarnes.github.com/gnome-video-arcade/
Group:          System/Emulators/Other
Source:         http://download.gnome.org/sources/gnome-video-arcade/0.7/%{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:  intltool
BuildRequires:  gnome-icon-theme
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
Requires:       mame
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%gconf_schemas_prereq

%description
GNOME Video Arcade is a simple MAME frontend for the GNOME desktop. Its chief
design goal is to help you quickly find a game to play and then get out of the
way.  Its purpose is not to help you manage your ROM collection, nor to provide
a confusing graphical interface for MAME's plethora of configuration options.
It can utilize third-party data files like arcade history and game categories.

%lang_package

%prep
%setup -q

%build
export SDLMAME=/usr/bin/mame
%configure\
    --with-category-file=%{_datadir}/mame/Catver.ini\
    --with-history-file=%{_datadir}/mame/history.dat\
    --with-nplayers-file=%{_datadir}/mame/nplayers.ini\
    --with-dbus\
    --disable-silent-rules\
    --disable-scrollkeeper\
    --disable-schemas-install

make %{?_smp_mflags}

%install
%makeinstall
%__install -d -m 755 %{buildroot}%{_mandir}/man6/
%__sed -e 's/^.TH GNOME-VIDEO-ARCADE "1"/.TH GNOME-VIDEO-ARCADE "6"/'\
    docs/gnome-video-arcade.1 > %{buildroot}%{_mandir}/man6/gnome-video-arcade.6
%__rm -rf %{buildroot}%{_mandir}/man1/
%__rm -rf %{buildroot}%{_datadir}/gtk-doc/
%find_gconf_schemas
%suse_update_desktop_file -r %{name} 'System;Emulator;'
%find_lang %{name}

%pre -f %{name}.schemas_pre
%preun -f %{name}.schemas_preun
%posttrans -f %{name}.schemas_posttrans
%if 0%{?suse_version} >= 1140
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif


%clean
%__rm -rf "%{buildroot}"

%files -f %{name}.schemas_list
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc %{_mandir}/man6/gnome-video-arcade.6*
%dir %{_datadir}/gnome-video-arcade/
%{_datadir}/gnome-video-arcade/
%{_datadir}/applications/gnome-video-arcade.desktop
%{_datadir}/icons/hicolor/scalable/apps/gnome-video-arcade.svg
%{_bindir}/gnome-video-arcade

%files lang -f %{name}.lang

%changelog
* Wed Dec  7 2011 gber@opensuse.org
- call %%desktop_database_post/un and %%icon_theme_cache_post/un
* Tue Dec  6 2011 gber@opensuse.org
- fixed dependencies for >= 12.1
* Mon Jul 19 2010 guido+packman@berhoerster.name
- update to version 0.7.1
  * now detects changes in the ROM directory while running
  * allow only one instance to run
* Fri May  7 2010 guido+packman@berhoerster.name
- updated to release 0.7.0
  * music clips of the selected game can now be played from the Properties window
  * search entry has a "clear search" button
  * position of main window is remembered across sessions
  * size of Properties window is remembered across sessions
  * about dialog has a link to the GNOME Video Arcade website
  * better error handling when data files like Catver.ini and
    nplayers.ini are missing or unparsable
  * strange resizing behavior in the Properties window was fixed
* Mon Mar 15 2010 guido+packman@berhoerster.name
- use _smp_mflags macro
* Mon Mar  8 2010 guido+packman@berhoerster.name
- initial packaging of gnome-video-arcade
